import type { NobjcObject } from "objc-js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MLBatchProvider } from "./MLBatchProvider.js";
export declare class _MLArrayBatchProvider extends _NSObject {
    static alloc(): _MLArrayBatchProvider;
    static new(): _MLArrayBatchProvider;
    init(): _MLArrayBatchProvider;
    /** Initalize with an array of feature providers */
    initWithFeatureProviderArray$(array: _NSArray): _MLArrayBatchProvider;
    /**
     * Initialize with a dictionary which maps feature names to an array of values [String : [Any]] Error is returned if all arrays do not have equal length or if array values for a specific feature name do not have the same type or not expressible as MLFeatureValue
     */
    initWithDictionary$error$(dictionary: _NSDictionary, error: NobjcObject | null): _MLArrayBatchProvider | null;
    array(): _NSArray;
}
export interface _MLArrayBatchProvider extends _MLBatchProvider {
}
